Package com.independentsoft.office.odf

# Class NoteReference

java.lang.Object
com.independentsoft.office.odf.NoteReference

All Implemented Interfaces:
  `IContentElement`, `IParagraphContent`

public class NoteReference extends Object implements IParagraphContent
Represents a field that represents a reference to a Note object in a text.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoteReference()`
  Initializes a new instance of the NoteReference class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NoteReference`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `ReferenceFormat`
  `getFormat()`
  Specifies what information about a reference is displayed.
  `String`
  `getName()`
  Gets the name that is used as a reference.
  `NoteClass`
  `getNoteClass()`
  Gets the class of a note.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `String`
  `getValue()`
  Gets the value.
  `void`
  `setFormat​(ReferenceFormat format)`
  Specifies what information about a reference is displayed.
  `void`
  `setName​(String name)`
  Sets the name that is used as a reference.
  `void`
  `setNoteClass​(NoteClass noteClass)`
  Sets the class of a note.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setValue​(String value)`
  Sets the value.
  `String`
  `toString()`
  Converts the value of the current NoteReference object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NoteReference

    public NoteReference()
    Initializes a new instance of the NoteReference class.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public NoteReference clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current NoteReference object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the name that is used as a reference.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name that is used as a reference.
    Parameters:
      `name` - the new name

  - ### getFormat

    public ReferenceFormat getFormat()
    Specifies what information about a reference is displayed.
    Returns:
      the format

  - ### setFormat

    public void setFormat​(ReferenceFormat format)
    Specifies what information about a reference is displayed.
    Parameters:
      `format` - the new format

  - ### getValue

    public String getValue()
    Gets the value.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the value.
    Parameters:
      `value` - the new value

  - ### getNoteClass

    public NoteClass getNoteClass()
    Gets the class of a note.
    Returns:
      the note class

  - ### setNoteClass

    public void setNoteClass​(NoteClass noteClass)
    Sets the class of a note.
    Parameters:
      `noteClass` - the new note class